Merge fix for clustering bug "vyatta-cluster: wait for link up on clustering for up to 10 seconds" in 1.1.8
Closed, ResolvedPublic

Description

When booting, if the link set for clustering does not come up on time, configure will fail.

There is a patch for this, https://github.com/vyos/vyatta-cluster/commit/c0b623c22ec5223ebc39f5483339c88311f8afec.

I've just hit this issue in a production box and the patch fixed the problem on a 1.1.7 installation.

Details

Difficulty level
Easy (less than an hour)
Version
1.1.7
giandvd created this task.Dec 6 2016, 2:23 PM
syncer added subscribers: VyOS 1.1.x, syncer.

Moving this to 1.1.8 milestone

syncer triaged this task as Normal priority.Dec 14 2016, 6:59 PM
syncer assigned this task to higebu.Aug 21 2017, 12:46 AM
syncer changed the edit policy from "Public (No Login Required)" to "Custom Policy".
syncer changed Version from 1.1.7 (helium) to 1.1.7.
syncer moved this task from Needs Triage to In Progress on the VyOS 1.1.x (1.1.8) board.
syncer removed a subscriber: VyOS 1.1.x.
dmbaturin closed this task as Resolved.Oct 12 2017, 5:36 AM
dmbaturin added a subscriber: dmbaturin.

The commit is indeed in helium now.